package com.ss.android.ugc.aweme.story.api;

import X.7aX;
import X.9h6;
import X.ES5;
import X.LsC;
import X.M12;
import X.P7z;
import X.PgV;
import android.os.Bundle;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.app.api.Api;

public final class StoryAvatarNetPreload implements P7z<IStoryApi, PgV<7aX>> {
    public static final ES5 Companion = new ES5((byte) 0);

    static {
        Covode.recordClassIndex(116840);
    }

    public final boolean enable(Bundle bundle) {
        return true;
    }

    public final boolean handleException(Exception exc) {
        M12.LIZ(exc);
        return true;
    }

    public final 9h6 getPreloadStrategy(Bundle bundle) {
        return new 9h6(0, Api.LIZLLL, false, 5);
    }

    public final PgV<7aX> preload(Bundle bundle, LsC<? super Class<IStoryApi>, ? extends IStoryApi> lsC) {
        String string;
        M12.LIZ(lsC);
        String str = "";
        if (!(bundle == null || (string = bundle.getString("requires_uids", str)) == null)) {
            str = string;
        }
        return ((IStoryApi) lsC.invoke(IStoryApi.class)).getUserStoriesSingle(str);
    }
}
